import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

class Main {

    public static void ispitivanje(int[] niz, int L) {
        int resultat = -1;
        for (int i = 0; i < niz.length; i++) {
            if (niz[i] <= L) {
                resultat = i + 1; // ??????????? ?????? ?? 1
                break;
            }
        }
        System.out.println(resultat);
    }

    public static int[] Unos(int N) throws IOException {
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
        int[] niz = new int[N];

        for (int i = 0; i < niz.length; i++) {
            // ?????? ??? String, ? ????? ???????????? ? int
            String input = reader.readLine();
            int a = Integer.parseInt(input);

            if (a <= 1000000000 && a >= 1) {
                niz[i] = a;
            } else {
                i--; // ???????? ???? ??? ???? ? ???????
            }
        }

        return niz;
    }

    public static void main(String[] args) throws IOException {
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));

        // ?????? N ? L ?? ???????? ??????
        String inputN = reader.readLine();
        int N = Integer.parseInt(inputN);

        String inputL = reader.readLine();
        int L = Integer.parseInt(inputL);

        // ?????? ?????? ??????????
        int[] niz = Unos(N);
        ispitivanje(niz, L);
    }
}